" Vim syntax file 
" Language:     Dwun config file
" Maintainer:   Tim Sutherland <timsuth@ihug.co.nz>
" Last change:  25/Apr/2000
" Version Info: 0.1

" clear any unwanted syntax defs
syn clear

syn case ignore
syn keyword dwunrcStatement	 fatal onconnect ondisconnect authfile
syn keyword dwunrcStatement	 command_logfile logfile pidfile
syn keyword dwunrcStatement	 command commandon commandoff external
syn keyword dwunrcStatement	 pre_commandon post_commandon
syn keyword dwunrcStatement	 port maxcon max_from_one keepalive
syn keyword dwunrcStatement	 bind hostmask
syn keyword dwunrcStatement	 debug

syn match dwunrcComment		"^#.*$"
syn region dwunrcArg		start=+ + end="$" oneline
" all dwunrc numbers are integers
syn match dwunrcNum		" [0-9]*$"

if !exists("did_dwun_syntax_inits")
        let did_dwun_syntax_inits = 1
        " The default methods for highlighting.  Can be overridden later
        hi link dwunrcStatement	Keyword
        hi link dwunrcComment	Comment
	hi link dwunrcArg	String
	hi link dwunrcNum	Number
endif

let b:current_syntax = "dwun"

" vim:ts=8
